Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005684 [DCSS] Bug Report minor always 2012-05-19 10:41 2015-12-28 04:03
Reporter crate View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.11 ancient branch
Summary 0005684: Elyvilon pacification and summons
Description Two bugs to report:

1) Elyvilon gives piety for pacifying summons (easy enough to test in wizmode; I did so with a vampire). This is reasonably exploitable but in practice in Ely games you tend to run out of food before piety anyway so it's not that big a deal.

2) Pacified summons still count as "hostiles" for autoexplore and other long-distance travel.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018100)
ion_frigate (reporter)
2012-05-19 12:20
edited on: 2012-05-19 12:20

How about instead of leaving the level, successfully pacified summons instantly abjure themselves, i.e. return to the realm they came from, giving no piety? This solves both problems, while preserving the defensive use of pacification against hostile summons.

(0022841)
mumra (developer)
2013-05-26 06:00

Perhaps summons should be immune to pacification. This can be easily justified flavour-wise; they are bound to the will of their summoner, it's the summoner who must be pacified. Changing this might require doing something about what happens to summons when you *do* pacify the summoner however.
(0022856)
crate (reporter)
2013-05-26 08:47

Well the first half of this is (or should be, I haven't tested) fixed.
(0030034)
wheals (administrator)
2015-12-21 01:45

1)Fixed in latest Ely reform at any rate
2)Fixed in https://github.com/crawl/crawl/commit/ee8c3303fd88 [^]

- Issue History
Date Modified Username Field Change
2012-05-19 10:41 crate New Issue
2012-05-19 12:20 ion_frigate Note Added: 0018100
2012-05-19 12:20 ion_frigate Note Edited: 0018100
2013-03-15 14:54 mumra Issue Monitored: mumra
2013-05-26 06:00 mumra Note Added: 0022841
2013-05-26 08:47 crate Note Added: 0022856
2015-12-21 01:45 wheals Note Added: 0030034
2015-12-21 01:45 wheals Status new => resolved
2015-12-21 01:45 wheals Fixed in Branch => 0.18 development branch
2015-12-21 01:45 wheals Resolution open => done
2015-12-21 01:45 wheals Assigned To => wheals
2015-12-28 04:03 crate Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker